#! /usr/bin/env python
# _*-coding:utf-8-*-
# Script par PPPP GPLv3+
# Programme qui récupère le flux de webcam 
# mod_acquisition v0.1/AntsTracking0.1.1
# 
## ========== Importations =========
import Image
import cv, os, sys

## ======================= Définition des variables ==========================
# Utiliser la webcam (=1)
webcam = 0
# Index des webcam à utiliser
listWebcam = [0]
# Utiliser le mode cinqcara
cinqcar = 0
# Dimension de la webcam (à modifier pour quelque chose de plus dynamique)
x= 640
y= 480
#============================================================================

## ========== Création des supports d'acquisition
if webcam :
	camcapture = range(len(listWebcam))	# Création d'une liste de la bonne longueur
	for i in camcapture : # Dans cette version, toutes les webcams ont la meme taille
		camcapture[i] = cv.CreateCameraCapture(listWebcam[i])
		cv.SetCaptureProperty(camcapture[i],cv.CV_CAP_PROP_FRAME_WIDTH, x)
		cv.SetCaptureProperty(camcapture[i],cv.CV_CAP_PROP_FRAME_HEIGHT, y)
	# Exception
	if not camcapture:
		print "Error opening WebCAM"
		sys.exit(1)
	
def cinqcara(n) :
	n2 = str(n)
	out = ''
	for i in range(5-len(n2)) :
		out += '0'
	out += n2
	return out

def acquisition(path) :
    if webcam :
	    # Boucle principale
	    for i in range(len(camcapture)) :	# Création d'une liste de la bonne longueur
	    	cv.GrabFrame(camcapture[i])			# Récupération des images de manière synchrone
	    frame = range(len(camcapture))	# Création d'une liste de la bonne longueur
	    for i in range(len(camcapture)) :
	    	frame[i] = cv.RetrieveFrame(camcapture[i])
    else :
    	frame = []
	frame.append(cv.LoadImage(path))
    return (frame, x, y)
    
if __name__ == '__main__':
	print "Utiliser en tant que module"
		
    
