#! /usr/bin/env python
# _*-coding:utf-8-*-
# Script par PPPP GPLv3+
# Programme qui récupère le flux de DEUX webcam et les mixe dans une fenêtre
# mod_multiplexage v0.2.2/AntsTracking0.2.2


# ========== Importations ==========
import mod_acquisition
import cv

def multiplexage(path) :	# Ne s'occupe que de deux webcam pour le moment
	#### dico_player = convert_dico(dico_brut)
	images_data = mod_acquisition.acquisition(path)
	frames = images_data[0]
	x = images_data[1]
	y = images_data[2]
	if len(frames) == 2 :
		decale = cv.CreateImage ((x*2, y), cv.IPL_DEPTH_8U, 3)		# Création de l'image de sortie
		cv.CopyMakeBorder(frames[0], decale, (x, 0), 0)			# Copie dans celle-ci
		cv.SetImageROI(decale, (0, 0, x, y))
		cv.Copy(frames[1], decale)
		cv.ResetImageROI(decale)
	else :
		decale = frames[0]
	return decale
	
def convert_dico(dico) :
	#vitesses = [-2000, -500, -100, -60, -30, -15, -10, -5, -2, -1, 1, 2, 5, 10, 15, 30, 60, 100, 500, 2000]
	vitesses = dico['vitesses']
	if dico["vitesse"] != None :
		dico["vitesse_vraie"] = vitesses[dico["vitesse"]]
	else :
		try :
			dico['vitesse'] = vitesses.index(dico['vitesse_vraie'])
		except :
			dico['vitesse'] = 11
	return dico
	
def player_init() :
	"""Fonction qui s'occupe de gérer les données du player
		En particulier la vitesse d'affichage des images, possible en négatif
		(1, 2, 5, 10, 15, 30, 60, 100, 500, 2000)"""
	dico_player ={"vitesse" : 10,
			"vitesse_vraie" : 1,
			"jouer" : 0,
			"mode" : "manual",
			'play_pressed' : 0,
			}
	return dico_player
	
